# Class CIM_StorageSettingsGeneratedFromCapabilities
extends CIM_SettingAssociatedToCapabilities

This association define StorageSettings that reflect the capabilities of the associated StorageCapabilities. The associated StorageSetting may not define the operational characteristics (through settings properties) of any storage element. StorageSettingsGeneratedFromCapabilities is the association between instances of StorageCapabilities and those instances of StorageSetting that have been created from the StorageCapabilities instance using the StorageCapabilities "CreateSetting" method. These settings have a StorageSetting.ChangeableType of "Changeable - Transient" or "Changeable - Persistent" The settings associated by this class reflect the capabilities from which they are generated. These setting SHALL be associated with one StorageCapabilities. A generated setting can be deleted by the implementation at any time if it is a a StorageSetting of "Changed - Transient" ChangeableType. A client should not use this association to find transient Settings to subsequently modify and/or use because that would increase the likelihood of setting contention across clients. Instead the implementation uses this association to define transient settings, which can be located through any means, that have special temporal based life cycle. DefaultSetting is meaningless in this class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SettingAssociatedToCapabilities
|
+--CIM_StorageSettingsGeneratedFromCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

This association define StorageSettings that reflect the capabilities of the associated StorageCapabilities. The associated StorageSetting may not define the operational characteristics (through settings properties) of any storage element. StorageSettingsGeneratedFromCapabilities is the association between instances of StorageCapabilities and those instances of StorageSetting that have been created from the StorageCapabilities instance using the StorageCapabilities "CreateSetting" method. These settings have a StorageSetting.ChangeableType of "Changeable - Transient" or "Changeable - Persistent" The settings associated by this class reflect the capabilities from which they are generated. These setting SHALL be associated with one StorageCapabilities. A generated setting can be deleted by the implementation at any time if it is a a StorageSetting of "Changed - Transient" ChangeableType. A client should not use this association to find transient Settings to subsequently modify and/or use because that would increase the likelihood of setting contention across clients. Instead the implementation uses this association to define transient settings, which can be located through any means, that have special temporal based life cycle. DefaultSetting is meaningless in this class.

UMLPackagePath | string | CIM::Device::StorageServices
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_StorageSettingsGeneratedFromCapabilities | CIM_StorageCapabilities
Dependent | CIM_StorageSettingsGeneratedFromCapabilities | CIM_StorageSetting

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
DefaultSetting | boolean | CIM_SettingAssociatedToCapabilities

## Class Methods